#### POSIX Threads for Windows – REFERENCE - Pthreads-w32

Reference Index

Table of Contents

## Name

sched_yield - yield the processor

## Synopsis

#include <sched.h>

int sched_yield(void);

## Description

The sched_yield function shall force the running thread to relinquish the processor until it again becomes the head of its thread list. It takes no arguments.

## Return Value

The sched_yield function shall return 0 if it completes successfully; otherwise, it shall return a value of -1 and set errno to indicate the error.

## Errors

No errors are defined.

The following sections are informative.

## Examples

None.

## Application Usage

None.

## Rationale

None.

## Future Directions

None.

## See Also

The Base Definitions volume of IEEE Std 1003.1-2001, <sched.h>

## Copyright

Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

Table of Contents

- Name

- Synopsis

- Description

- Return Value

- Errors

- Examples

- Application Usage

- Rationale

- Future Directions

- See Also

- Copyright